Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.event
Interface ComponentListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  AWTEventMulticaster, Component.AccessibleAWTComponent.AccessibleAWTComponentHandler, ComponentAdapter, BasicInternalFrameUI.ComponentHandler

public interface ComponentListener
extends EventListener

The listener interface for receiving component events. The class that is interested in processing a component event either implements this interface (and all the methods it contains) or extends the abstract `ComponentAdapter` class (overriding only the methods of interest). The listener object created from that class is then registered with a component using the component's `addComponentListener` method. When the component's size, location, or visibility changes, the relevant method in the listener object is invoked, and the `ComponentEvent` is passed to it.

Component events are provided for notification purposes ONLY; The AWT will automatically handle component moves and resizes internally so that GUI layout works properly regardless of whether a program registers a `ComponentListener` or not.

Since:
  1.1
See Also:
  `ComponentAdapter`, `ComponentEvent`, Tutorial: Writing a Component Listener, Reference: The Java Class Libraries (update file)

Method Summary
`void` | `componentHidden(ComponentEvent e)` Invoked when the component has been made invisible.
`void` | `componentMoved(ComponentEvent e)` Invoked when the component's position changes.
`void` | `componentResized(ComponentEvent e)` Invoked when the component's size changes.
`void` | `componentShown(ComponentEvent e)` Invoked when the component has been made visible.

Method Detail

### componentResized

    public void componentResized(ComponentEvent e)

  Invoked when the component's size changes.

### componentMoved

    public void componentMoved(ComponentEvent e)

  Invoked when the component's position changes.

### componentShown

    public void componentShown(ComponentEvent e)

  Invoked when the component has been made visible.

### componentHidden

    public void componentHidden(ComponentEvent e)

  Invoked when the component has been made invisible.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.